VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
AudioBuffer< T > Class Template Reference

`#include <vstbypassprocessor.h>`

## Public Member Functions
| AudioBuffer ()
| ~AudioBuffer ()
void | resize (int32 _maxSamples)
void | clear (int32 numSamples)
int32 | getMaxSamples () const
void | release ()
void | clearAll ()
| operator T * ()

## Protected Attributes
T * | mBuffer
int32 | mMaxSamples

## Constructor & Destructor Documentation

AudioBuffer | ( |  | ) |
| inline

~AudioBuffer | ( |  | ) |
| inline

## Member Function Documentation

void resize | ( | int32 | _maxSamples | ) |
| inline

void clear | ( | int32 | numSamples | ) |
| inline

int32 getMaxSamples | ( |  | ) | const
| inline

void release | ( |  | ) |
| inline

void clearAll | ( |  | ) |
| inline

operator T * | ( |  | ) |
| inline

## Member Data Documentation

T* mBuffer
| protected

int32 mMaxSamples
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.